# KubernetesApi

## KubernetesApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                        | HTTP request                                                               | Description                         |
| ----------------------------------------------------------------------------- | -------------------------------------------------------------------------- | ----------------------------------- |
| [**k8s\_delete**](#k8s_delete)                                                | **DELETE** /k8s/{k8sClusterId}                                             | Delete a Kubernetes Cluster by ID   |
| [**k8s\_find\_by\_cluster\_id**](#k8s_find_by_cluster_id)                     | **GET** /k8s/{k8sClusterId}                                                | Get a Kubernetes Cluster by ID      |
| [**k8s\_get**](#k8s_get)                                                      | **GET** /k8s                                                               | Get Kubernetes Clusters             |
| [**k8s\_kubeconfig\_get**](#k8s_kubeconfig_get)                               | **GET** /k8s/{k8sClusterId}/kubeconfig                                     | Get Kubernetes Configuration File   |
| [**k8s\_nodepools\_delete**](#k8s_nodepools_delete)                           | **DELETE** /k8s/{k8sClusterId}/nodepools/{nodepoolId}                      | Delete a Kubernetes Node Pool by ID |
| [**k8s\_nodepools\_find\_by\_id**](#k8s_nodepools_find_by_id)                 | **GET** /k8s/{k8sClusterId}/nodepools/{nodepoolId}                         | Get a Kubernetes Node Pool by ID    |
| [**k8s\_nodepools\_get**](#k8s_nodepools_get)                                 | **GET** /k8s/{k8sClusterId}/nodepools                                      | Get Kubernetes Node Pools           |
| [**k8s\_nodepools\_nodes\_delete**](#k8s_nodepools_nodes_delete)              | **DELETE** /k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes/{nodeId}       | Delete a Kubernetes Node by ID      |
| [**k8s\_nodepools\_nodes\_find\_by\_id**](#k8s_nodepools_nodes_find_by_id)    | **GET** /k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes/{nodeId}          | Get Kubernetes Node by ID           |
| [**k8s\_nodepools\_nodes\_get**](#k8s_nodepools_nodes_get)                    | **GET** /k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes                   | Get Kubernetes Nodes                |
| [**k8s\_nodepools\_nodes\_replace\_post**](#k8s_nodepools_nodes_replace_post) | **POST** /k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes/{nodeId}/replace | Recreate a Kubernetes Node by ID    |
| [**k8s\_nodepools\_post**](#k8s_nodepools_post)                               | **POST** /k8s/{k8sClusterId}/nodepools                                     | Create a Kubernetes Node Pool       |
| [**k8s\_nodepools\_put**](#k8s_nodepools_put)                                 | **PUT** /k8s/{k8sClusterId}/nodepools/{nodepoolId}                         | Modify a Kubernetes Node Pool by ID |
| [**k8s\_post**](#k8s_post)                                                    | **POST** /k8s                                                              | Create a Kubernetes Cluster         |
| [**k8s\_put**](#k8s_put)                                                      | **PUT** /k8s/{k8sClusterId}                                                | Modify a Kubernetes Cluster by ID   |
| [**k8s\_versions\_default\_get**](#k8s_versions_default_get)                  | **GET** /k8s/versions/default                                              | Get Default Kubernetes Version      |
| [**k8s\_versions\_get**](#k8s_versions_get)                                   | **GET** /k8s/versions                                                      | Get Kubernetes Versions             |

## **k8s\_delete**

> k8s\_delete(k8s\_cluster\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete a Kubernetes Cluster by ID

Deletes the K8s cluster specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    try:
        # Delete a Kubernetes Cluster by ID
        api_instance.k8s_delete(k8s_cluster_id)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_find\_by\_cluster\_id**

> KubernetesCluster k8s\_find\_by\_cluster\_id(k8s\_cluster\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get a Kubernetes Cluster by ID

Retrieves the K8s cluster specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the K8s cluster to be retrieved.
    try:
        # Get a Kubernetes Cluster by ID
        api_response = api_instance.k8s_find_by_cluster_id(k8s_cluster_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_find_by_cluster_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the K8s cluster to be retrieved.                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesCluster**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetescluster)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_get**

> KubernetesClusters k8s\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Kubernetes Clusters

Retrieves a list of all K8s clusters provisioned under your account.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    try:
        # Get Kubernetes Clusters
        api_response = api_instance.k8s_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesClusters**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesclusters)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_kubeconfig\_get**

> str k8s\_kubeconfig\_get(k8s\_cluster\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Kubernetes Configuration File

Retrieves the configuration file for the specified K8s cluster. You can define the format (YAML or JSON) of the returned file in the Accept header. By default, 'application/yaml' is specified.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    try:
        # Get Kubernetes Configuration File
        api_response = api_instance.k8s_kubeconfig_get(k8s_cluster_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_kubeconfig_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

**str**

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/yaml, application/x-yaml, application/json

## **k8s\_nodepools\_delete**

> k8s\_nodepools\_delete(k8s\_cluster\_id, nodepool\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete a Kubernetes Node Pool by ID

Deletes the K8s node pool specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    try:
        # Delete a Kubernetes Node Pool by ID
        api_instance.k8s_nodepools_delete(k8s_cluster_id, nodepool_id)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_find\_by\_id**

> KubernetesNodePool k8s\_nodepools\_find\_by\_id(k8s\_cluster\_id, nodepool\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get a Kubernetes Node Pool by ID

Retrieves the K8s node pool specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    try:
        # Get a Kubernetes Node Pool by ID
        api_response = api_instance.k8s_nodepools_find_by_id(k8s_cluster_id, nodepool_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNodePool**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepool)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_get**

> KubernetesNodePools k8s\_nodepools\_get(k8s\_cluster\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Kubernetes Node Pools

Retrieves a list of K8s node pools of a cluster specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    try:
        # Get Kubernetes Node Pools
        api_response = api_instance.k8s_nodepools_get(k8s_cluster_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNodePools**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepools)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_nodes\_delete**

> k8s\_nodepools\_nodes\_delete(k8s\_cluster\_id, nodepool\_id, node\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete a Kubernetes Node by ID

Deletes the K8s node specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    node_id = 'node_id_example' # str | The unique ID of the Kubernetes node.
    try:
        # Delete a Kubernetes Node by ID
        api_instance.k8s_nodepools_nodes_delete(k8s_cluster_id, nodepool_id, node_id)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_nodes_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **node\_id**            | **str**  | The unique ID of the Kubernetes node.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_nodes\_find\_by\_id**

> KubernetesNode k8s\_nodepools\_nodes\_find\_by\_id(k8s\_cluster\_id, nodepool\_id, node\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Kubernetes Node by ID

Retrieves the K8s node specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    node_id = 'node_id_example' # str | The unique ID of the Kubernetes node.
    try:
        # Get Kubernetes Node by ID
        api_response = api_instance.k8s_nodepools_nodes_find_by_id(k8s_cluster_id, nodepool_id, node_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_nodes_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **node\_id**            | **str**  | The unique ID of the Kubernetes node.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNode**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnode)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_nodes\_get**

> KubernetesNodes k8s\_nodepools\_nodes\_get(k8s\_cluster\_id, nodepool\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Kubernetes Nodes

Retrieves the list of all K8s nodes of the specified node pool.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    try:
        # Get Kubernetes Nodes
        api_response = api_instance.k8s_nodepools_nodes_get(k8s_cluster_id, nodepool_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_nodes_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNodes**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodes)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_nodes\_replace\_post**

> k8s\_nodepools\_nodes\_replace\_post(k8s\_cluster\_id, nodepool\_id, node\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Recreate a Kubernetes Node by ID

Recreates the K8s node specified by its ID. If a node becomes unusable, Managed Kubernetes allows you to recreate it with a configuration based on the node pool template. Once the status is 'Active,' all the pods from the failed node will be migrated to the new node. The node pool has an additional billable 'active' node during this process.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    node_id = 'node_id_example' # str | The unique ID of the Kubernetes node.
    try:
        # Recreate a Kubernetes Node by ID
        api_instance.k8s_nodepools_nodes_replace_post(k8s_cluster_id, nodepool_id, node_id)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_nodes_replace_post: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**  | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**        | **str**  | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **node\_id**            | **str**  | The unique ID of the Kubernetes node.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_nodepools\_post**

> KubernetesNodePool k8s\_nodepools\_post(k8s\_cluster\_id, kubernetes\_node\_pool, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a Kubernetes Node Pool

Creates a node pool inside the specified K8s cluster.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    kubernetes_node_pool = ionoscloud.KubernetesNodePoolForPost() # KubernetesNodePoolForPost | The Kubernetes node pool to create.
    try:
        # Create a Kubernetes Node Pool
        api_response = api_instance.k8s_nodepools_post(k8s_cluster_id, kubernetes_node_pool)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_post: %s\n' % e)
```

#### Parameters

| Name                       | Type                                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**       | **str**                                                                                                                                | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **kubernetes\_node\_pool** | [**KubernetesNodePoolForPost**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepoolforpost) | The Kubernetes node pool to create.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**                 | **bool**                                                                                                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                  | **int**                                                                                                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**    | **int**                                                                                                                                | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNodePool**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepool)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **k8s\_nodepools\_put**

> KubernetesNodePool k8s\_nodepools\_put(k8s\_cluster\_id, nodepool\_id, kubernetes\_node\_pool, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify a Kubernetes Node Pool by ID

Modifies the K8s node pool specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    nodepool_id = 'nodepool_id_example' # str | The unique ID of the Kubernetes node pool.
    kubernetes_node_pool = ionoscloud.KubernetesNodePoolForPut() # KubernetesNodePoolForPut | Details of the Kubernetes Node Pool
    try:
        # Modify a Kubernetes Node Pool by ID
        api_response = api_instance.k8s_nodepools_put(k8s_cluster_id, nodepool_id, kubernetes_node_pool)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_nodepools_put: %s\n' % e)
```

#### Parameters

| Name                       | Type                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**       | **str**                                                                                                                              | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **nodepool\_id**           | **str**                                                                                                                              | The unique ID of the Kubernetes node pool.                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **kubernetes\_node\_pool** | [**KubernetesNodePoolForPut**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepoolforput) | Details of the Kubernetes Node Pool                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**                 | **bool**                                                                                                                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                  | **int**                                                                                                                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**    | **int**                                                                                                                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesNodePool**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesnodepool)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **k8s\_post**

> KubernetesCluster k8s\_post(kubernetes\_cluster, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a Kubernetes Cluster

Creates a K8s cluster provisioned under your account.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    kubernetes_cluster = ionoscloud.KubernetesClusterForPost() # KubernetesClusterForPost | The Kubernetes cluster to create.
    try:
        # Create a Kubernetes Cluster
        api_response = api_instance.k8s_post(kubernetes_cluster)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **kubernetes\_cluster** | [**KubernetesClusterForPost**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesclusterforpost) | The Kubernetes cluster to create.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool**                                                                                                                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesCluster**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetescluster)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **k8s\_put**

> KubernetesCluster k8s\_put(k8s\_cluster\_id, kubernetes\_cluster, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify a Kubernetes Cluster by ID

Modifies the K8s cluster specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    k8s_cluster_id = 'k8s_cluster_id_example' # str | The unique ID of the Kubernetes cluster.
    kubernetes_cluster = ionoscloud.KubernetesClusterForPut() # KubernetesClusterForPut | The modified Kubernetes cluster.
    try:
        # Modify a Kubernetes Cluster by ID
        api_response = api_instance.k8s_put(k8s_cluster_id, kubernetes_cluster)
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **k8s\_cluster\_id**    | **str**                                                                                                                            | The unique ID of the Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **kubernetes\_cluster** | [**KubernetesClusterForPut**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetesclusterforput) | The modified Kubernetes cluster.                                                                                                                                                                                                                                                                                                                                                                                                         |                                |
| **pretty**              | **bool**                                                                                                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**KubernetesCluster**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/kubernetescluster)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **k8s\_versions\_default\_get**

> str k8s\_versions\_default\_get()

Get Default Kubernetes Version

Retrieves the current default K8s version to be used by the clusters and node pools.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    try:
        # Get Default Kubernetes Version
        api_response = api_instance.k8s_versions_default_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_versions_default_get: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

**str**

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **k8s\_versions\_get**

> list\[str] k8s\_versions\_get()

Get Kubernetes Versions

Lists available K8s versions.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.KubernetesApi(api_client)
    try:
        # Get Kubernetes Versions
        api_response = api_instance.k8s_versions_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling KubernetesApi.k8s_versions_get: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

**list\[str]**

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json
